सामग्री पर जाएँ

H3 Max

इंटीग्रेट करें

मॉडल id minimax/h3-max/insert-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/insert-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "start_time": 1.625,
    "resume_time": 2
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.30 300 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
MiniMax वीडियो से वीडियो रेफ़रेंस इनपुट5–13 s768p तक #video-to-video#video-editing#scene-insertion

चुने गए समय पर मौजूदा वीडियो में नया जनरेट किया गया सीन डालता है और फिर मूल फ़ुटेज पर लौटता है

MiniMax · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

0 / 50000
•आवश्यक video_url
फ़ाइल ड्रॉप करें, या
resolution डिफ़ॉल्ट 768p
•आवश्यक
•आवश्यक
डिफ़ॉल्ट 5
उन्नत images · reference_video_urls · seed · enable_prompt_expansion · color_match
reference_image_urls
फ़ाइल ड्रॉप करें, या · 9 तक
फ़ाइल ड्रॉप करें, या · 3 तक
POST /run/minimax/h3-max/insert-video?wait=20 कोटेशन → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/insert-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "start_time": 1.625,
    "resume_time": 2
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

H3 Max के बारे में

`start_time` और `resume_time` के बीच (प्रत्येक 1.625 से 60 s) नया सीन जोड़कर स्रोत वीडियो को संपादित करता है। सीन का मार्गदर्शन `prompt`, अधिकतम 9 संदर्भ इमेज और अधिकतम 3 संदर्भ वीडियो से किया जा सकता है। `duration` 5 से 13 सेकंड होती है, आउटपुट 480p या 768p होता है और स्रोत के साथ इनसर्ट को मिलाने के लिए `color_match` डिफ़ॉल्ट रूप से चालू रहता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
video_urlआवश्यक video
प्रकारurl · video
promptवैकल्पिक
प्रकारstring | null
≤ 50,000 अक्षर
reference_image_urlsवैकल्पिक images
प्रकारurl[] · image
≤ 9 आइटम
reference_video_urlsवैकल्पिक
प्रकारurl[] · video
≤ 3 आइटम
start_timeआवश्यक
प्रकारnumber
1.625 – 60
resume_timeआवश्यक
प्रकारnumber
≤ 60> 1.625
durationवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट5
5 – 13
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट768p
480p768p
seedवैकल्पिक
प्रकारinteger | null
0 – 2,14,74,83,647
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
color_matchवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/h3-max/insert-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "start_time": 1.625,
    "resume_time": 2
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "width": 1024,
    "height": 768,
    "frame_count": 1,
    "duration": 5,
    "start_time": 1.0,
    "resume_time": 1.0,
    "injected_duration": 1.0,
    "expanded_prompt": "string",
    "source": {},
    "timings": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}
seed
integer
width
integer
height
integer
frame_count
integer
duration
number
start_time
number
resume_time
number
injected_duration
number
expanded_prompt
string | null
source
object
timings
object

और मॉडल: वीडियो से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/minimax/h3-max/insert-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt